# Gimp.param_spec_memsize

    function param_spec_memsize(name: String, nick: String, blurb: String, minimum: Number(guint64), maximum: Number(guint64), default_value: Number(guint64), flags: GObject.ParamFlags): GObject.ParamSpec {
        // Gjs wrapper for gimp_param_spec_memsize()
    }

Creates a param spec to hold a memory size value. See g_param_spec_internal() for more information.

Since 2.4

name

  Canonical name of the param

nick

  Nickname of the param

blurb

  Brief description of param.

minimum

  Smallest allowed value of the parameter.

maximum

  Largest allowed value of the parameter.

default_value

  Value to use if none is assigned.

flags

  a combination of GObject.ParamFlags

Returns

  a newly allocated GObject.ParamSpec instance